#BEGIN COPYRIGHT
#*************************************************************************
#
# Licensed Materials - Property of IBM
# 5725-C94, 5725-C95, 5725-C96
# (C) Copyright IBM Corporation 2011. All Rights Reserved.
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#
#*************************************************************************
#END COPYRIGHT

import os.path, sys, AdminUtilities
from java.lang import System

nodeName = System.getProperty("local.node")
servers = AdminUtilities.convertToList(AdminTask.listServers(["-serverType", "APPLICATION_SERVER", "-nodeName", nodeName]))
if len(servers) != 1:
  raise AssertionError, "Need exactly one application server, found " + `len(servers)` + "."
serverName = AdminConfig.showAttribute(servers[0], "name")

earFile = os.path.join(System.getProperty("was.install.root"), "BPM/Lombardi/imports/procurement-sample-BPELProcess-FormsEAR.ear")
if not os.path.isfile(earFile):
  print "Sample application %s does not exist, skipping." % (earFile)
else:
  appname = "procurement-sample-BPELProcess-FormsEAR_" + nodeName + "_" + serverName
  options = [ "-appname", appname ]
  print "Deploying sample application %s with option(s) %s..." % (earFile, options)
  AdminApp.install(earFile, options)
  print "Sample application deployment completed"
  print "Saving the configuration"
  AdminConfig.save()
#endif
